# Uses of Interface
org.eclipse.emf.compare.postprocessor.IPostProcessor.Descriptor.Registry

Packages that use IPostProcessor.Descriptor.Registry
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.postprocessor
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.extension.impl
org.eclipse.emf.compare.rcp.internal.postprocessor

## Uses of IPostProcessor.Descriptor.Registry in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as IPostProcessor.Descriptor.Registry
Modifier and Type
Field
Description
`protected IPostProcessor.Descriptor.Registry<?>`
EMFCompare.Builder.`registry`
The PostProcessorRegistry to use to find an IPostProcessor.
Methods in org.eclipse.emf.compare with parameters of type IPostProcessor.Descriptor.Registry
Modifier and Type
Method
Description
`EMFCompare.Builder`
EMFCompare.Builder.`setPostProcessorRegistry(IPostProcessor.Descriptor.Registry<?> r)`
Sets the PostProcessor to be used to find the post processor of each comparison steps.
Constructors in org.eclipse.emf.compare with parameters of type IPostProcessor.Descriptor.Registry
Modifier
Constructor
Description
`protected`
`EMFCompare(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IDiffEngine diffEngine, IReqEngine reqEngine, IEquiEngine equiEngine, IConflictDetector conflictDetector, IPostProcessor.Descriptor.Registry<?> postProcessorFactoryRegistry)`
Creates a new EMFCompare object able to compare Notifier with the help of given engines.

## Uses of IPostProcessor.Descriptor.Registry in org.eclipse.emf.compare.postprocessor

Classes in org.eclipse.emf.compare.postprocessor that implement IPostProcessor.Descriptor.Registry
Modifier and Type
Class
Description
`class`
`PostProcessorDescriptorRegistryImpl<K>`
This will contain all of the EMF Compare extensions.

## Uses of IPostProcessor.Descriptor.Registry in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return IPostProcessor.Descriptor.Registry
Modifier and Type
Method
Description
`IPostProcessor.Descriptor.Registry<String>`
EMFCompareRCPPlugin.`getPostProcessorRegistry()`
Returns the post processor registry to which extension will be registered.

## Uses of IPostProcessor.Descriptor.Registry in org.eclipse.emf.compare.rcp.internal.extension.impl

Constructors in org.eclipse.emf.compare.rcp.internal.extension.impl with parameters of type IPostProcessor.Descriptor.Registry
Modifier
Constructor
Description
`protected`
`EMFCompareBuilderConfigurator(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IPostProcessor.Descriptor.Registry<String> postProcessorRegistry)`
Constructor.

## Uses of IPostProcessor.Descriptor.Registry in org.eclipse.emf.compare.rcp.internal.postprocessor

Classes in org.eclipse.emf.compare.rcp.internal.postprocessor that implement IPostProcessor.Descriptor.Registry
Modifier and Type
Class
Description
`class`
`PostProcessorRegistryImpl`
IPostProcessor.Descriptor.Registry implementation based on wrapping a `IItemRegistry`.